import type * as monaco from 'monaco-editor/esm/vs/editor/editor.api';
import { MonacoCommands } from './monaco-commands';
import { MonacoLanguages } from "./monaco-languages";
import { MonacoWorkspace } from "./monaco-workspace";
import { Services, Window } from "./services";
import { Disposable } from './disposable';
import { IDiagnosticListener } from './monaco-diagnostic-collection';
export interface MonacoServices extends Services {
    commands: MonacoCommands;
    languages: MonacoLanguages;
    workspace: MonacoWorkspace;
    window: Window;
}
export declare namespace MonacoServices {
    interface Options {
        rootUri?: string;
        diagListener?: IDiagnosticListener;
        window?: Window;
    }
    type Provider = () => MonacoServices;
    function create(_monaco: typeof monaco, options?: Options): MonacoServices;
    function install(_monaco: typeof monaco, options?: Options): Disposable;
    function get(): MonacoServices;
}
//# sourceMappingURL=monaco-services.d.ts.map